 Echo --------------------------------------------------------------------------
 Echo - set TC environ for PLMPerf                                             -
 Echo --------------------------------------------------------------------------

 rem -- UG-Variablen umbiegen ---------------------------------------------
 set UGII_TMP_DIR=%temp%
 set UGII_UGSOLIDS_TMP=%UGII_TMP_DIR%

 set UGII_UGMGR_USE_CACHE=
 set UGII_DISABLE_PREVIEW=on
 set UGII_DISABLE_QAF_NAMED_REFS=on
 rem ?? set UGII_ENV_FILE=%CmdCurRoot_DP%\ugii_env.dat
 rem ?? set UGII_10_FILE=%CmdCurRoot_DP%\10.ugf
 rem -- Multiprozessor support ---------------------------------------------
 rem 12.12.2010 08:30 J.Fes disabled
 rem set UGII_SMP_ENABLE=1
 set UGII_SMP_ENABLE=

 rem enabels to write detailed NX.Perf data into NX.syslog
 rem set time_user_events=yes

 rem -- IMAN-Variablen umbiegen -------------------------------------------
 set IMAN_SQL_DEBUG=
 set IMAN_TMP_DIR=%temp%
 set IMAN_KEEP_SYSTEM_LOG=TRUE
 set UGII_KEEP_SYSTEM_LOG=TRUE
 set IMAN_Journalling=OFF
 set IMAN_journaling=OFF
 set IMAN_TRACEBACK=OFF
 set IMAN_Journal_Modules=NONE
 set API_JOURNAL=NONE
 set APB_SCHEMA=

 if not defined UGII_LOAD_OPTIONS_NE set UGII_LOAD_OPTIONS_NE=PLMPerfSC01_load_options.def
 if defined UGII_LOAD_OPTIONS_NE if exist "%CmdCurRoot_DP%\startup\%UGII_LOAD_OPTIONS_NE%" set UGII_LOAD_OPTIONS=%CmdCurRoot_DP%\startup\%UGII_LOAD_OPTIONS_NE%


 rem -- TC-Variablen umbiegen --------------------------------------------------
 set TC_SQL_DEBUG=
 set TC_TMP_DIR=%temp%
 set TC_KEEP_SYSTEM_LOG=TRUE
 set TC_Journalling=OFF
 set TC_Journaling=OFF
 set TC_TRACEBACK=OFF


 rem #New: 30.05.2014 TC_SHARED_MEMORY_DIR
 if /i "%TC_SHARED_MEMORY_DIR_Disable%" neq "true" goto :TC_SHARED_MEMORY_DIR_Enable

:TC_SHARED_MEMORY_DIR_Disable
 rem disable TC_SHARED_MEMORY_DIR, via:
 set TC_NO_TEXTSRV_SHARED_MEMORY=TRUE
 set TC_USE_METADATA_SHARED_MEMORY=FALSE
 set TC_USE_PREFS_SHARED_MEMORY=FALSE
 goto :TC_SHARED_MEMORY_DIR_Next

:TC_SHARED_MEMORY_DIR_Enable
 set TC_SHARED_MEMORY_DIR=%CmdCurRoot_DP%\..\TC_SHARED_MEMORY_%TcSiteId%
 if not exist "%TC_SHARED_MEMORY_DIR%" md "%TC_SHARED_MEMORY_DIR%"
 goto :TC_SHARED_MEMORY_DIR_Next

:TC_SHARED_MEMORY_DIR_Next

goto :eof



